
@extends('layouts.datatable')
    @section('table')
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">房屋面积统计数据</h3>
                    </div>
                    <div class="box-body">
                        <div class="dataTables_wrapper form-inline dt-bootstrap">
                            <table id="table" class="table table-hover dataTable" role="grid" aria-describedby="example2_info">
                                <thead>
                                <tr role="row">
                                    @foreach($th as $h)
                                        <th>{{ $h }}</th>
                                    @endforeach
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($table as $data)
                                    <tr>
                                        <td>{{ $data->bzc_name }}</td>
                                        <td>{{ $data->data6 }}</td>
                                        <td>{{ $data->data9 }}</td>
                                        <td>{{ $data->data12 }}</td>
                                        <td>{{ $data->data15 }}</td>
                                        <td>{{ $data->data18 }}</td>
                                        <td>{{ $data->data21 }}</td>
                                        <td>{{ $data->data24 }}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    {{-- /.boc-body--}}
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">房屋装修金额统计数据</h3>
                    </div>
                    <div class="box-body">
                        <div class="dataTables_wrapper form-inline dt-bootstrap">
                            <table id="table1" class="table table-hover dataTable" role="grid" aria-describedby="example2_info">
                                <thead>
                                <tr role="row">
                                    @foreach($th1 as $h)
                                        <th>{{ $h }}</th>
                                    @endforeach
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($table as $data)
                                    <tr>
                                        <td>{{ $data->bzc_name }}</td>
                                        <td>{{ $data->data7 }}</td>
                                        <td>{{ $data->data10 }}</td>
                                        <td>{{ $data->data13 }}</td>
                                        <td>{{ $data->data16 }}</td>
                                        <td>{{ $data->data19 }}</td>
                                        <td>{{ $data->data22 }}</td>
                                        <td>{{ $data->data25 }}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    {{-- /.boc-body--}}
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">其他金额统计数据</h3>
                    </div>
                    <div class="box-body">
                        <div class="dataTables_wrapper form-inline dt-bootstrap">
                            <table id="table2" class="table table-hover dataTable" role="grid" aria-describedby="example2_info">
                                <thead>
                                <tr role="row">
                                    @foreach($th2 as $h)
                                        <th>{{ $h }}</th>
                                    @endforeach
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($table as $data)
                                    <tr>
                                        <td>{{ $data->bzc_name }}</td>
                                        <td>{{ $data->data26 }}</td>
                                        <td>{{ $data->data27 }}</td>
                                        <td>{{ $data->data28 }}</td>
                                        <td>{{ $data->data43 }}</td>
                                        <td>{{ $data->data44 }}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    {{-- /.boc-body--}}
                </div>
            </div>
        </div>


        <script>
            $(document).ready(function() {
                $('#table1').dataTable({
                    "aLengthMenu": [[10, 20, 50, -1], ["10", "20", "50", "所有"]],
                    "oLanguage": {
                        "sLengthMenu": "每页显示 _MENU_ 条记录",
                        "sZeroRecords": "对不起，没有匹配的数据",
                        "sInfo": "第 _START_ - _END_ 条 / 共 _TOTAL_ 条数据",
                        "sInfoEmpty": "没有匹配的数据",
                        "sInfoFiltered": "(数据表中共 _MAX_ 条记录)",
                        "sProcessing": "正在加载中...",
                        "sSearch": "全文搜索：",
                        "oPaginate": {
                            "sFirst": "第一页",
                            "sPrevious": " 上一页 ",
                            "sNext": " 下一页 ",
                            "sLast": " 最后一页 "
                        }
                    }
                });
            });
            $(document).ready(function() {
                $('#table2').dataTable({
                    "aLengthMenu": [[10, 20, 50, -1], ["10", "20", "50", "所有"]],
                    "oLanguage": {
                        "sLengthMenu": "每页显示 _MENU_ 条记录",
                        "sZeroRecords": "对不起，没有匹配的数据",
                        "sInfo": "第 _START_ - _END_ 条 / 共 _TOTAL_ 条数据",
                        "sInfoEmpty": "没有匹配的数据",
                        "sInfoFiltered": "(数据表中共 _MAX_ 条记录)",
                        "sProcessing": "正在加载中...",
                        "sSearch": "全文搜索：",
                        "oPaginate": {
                            "sFirst": "第一页",
                            "sPrevious": " 上一页 ",
                            "sNext": " 下一页 ",
                            "sLast": " 最后一页 "
                        }
                    }
                });
            });
        </script>

    @endsection
