@extends('layouts.admin')
@section('content')
        <!--左侧菜单栏-->
@include('admin.left-sidebar')

<!-- 内容 -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            项目申请
            <small> </small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
            <li><a href="#">项目申请</a></li>
            <li><a href="{{ url('/on_table') }}">待办案件</a></li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <!-- Default box -->
        <div class="box">
            <div class="box-header">
                <h3 class="box-title">待办案件</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                    <div class="row">
                        <div class="col-sm-6"></div>
                        <div class="col-sm-6"></div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <table id="example2" class="table table-hover dataTable" role="grid" aria-describedby="example2_info">
                                <thead>
                                <tr role="row">
                                    <th>ID</th>
                                    <th>姓名</th>
                                    <th>身份证</th>
                                    <th>地址</th>
                                    <th>室内面积(㎡)</th>
                                    <th>房型</th>
                                    <th>联系方式</th>
                                    <th>用途</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($data as $list)
                                    <tr role="row" class="odd">
                                        <td>{{ $list->id }}</td>
                                        <td>{{ $list->bzc_name }}</td>
                                        <td>{{ $list->bzc_cardid }}</td>
                                        <td>{{ $list->bzc_addr }}</td>
                                        <td>{{ $list->bzc_area }}</td>
                                        <td>{{ $list->house_type }}</td>
                                        <td>{{ $list->bzc_tel }}</td>
                                        <td>{{ $list->used }}</td>
                                        <td><a href="{{ url('/table/'.$list->id.'/edit' )}}" class="btn btn-primary btn-sm">
                                                <i class="fa fa-pencil"></i> 编辑</a>
                                            {{--<a href="javascript:;" onclick="del_user({{ $list->id }})" class="btn btn-danger btn-sm article-delete">--}}
                                                {{--<i  class="fa fa-trash-o"></i> 删除</a>--}}
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-5">
                            <div class="dataTables_info" id="example2_info" role="status" aria-live="polite">显示 0 - 20 总计 1 </div>
                        </div>
                        <div class="col-sm-7">
                            <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
                                <ul class="pagination">
                                    {{ $data->links() }}
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-body -->
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<script>
    function del_user(table_id){
        layer.confirm('确定要删除这个表单吗？',{
            btn:['确定','取消']
        },function(){
            $.post('{{ url('/table/del') }}/'+table_id,{
                '_method':'delete',
                '_token' :'{{ csrf_token() }}'
            },function(data){
                if(data.status == 1){
                    location.href = location.href;
                    layer.alert(data.msg, {icon: 6});
                }else {
                    layer.alert(data.msg, {icon: 5});
                }
            });
        },function(){

        });
    }

</script>

@endsection